# List Batch Errors If any of your batches encounter an error when processing, you can use the List Batch Errors call to specifically list the errors that occured on a specific batch. Once you identify the reason(s) your batch failed, you can do the following: 1. Correct the errors in the shipments by [updating the shipment](/apis/shipengine/docs/reference/update-shipment). 2. [Create a new batch](/apis/shipengine/docs/reference/create-batch) for the shipments and rates in the invalid or error state. 3. [Process the new batch](/apis/shipengine/docs/reference/process-batch). > **TIP:** [Set up webhooks](/apis/shipengine/docs/tracking/webhooks) to proactively fix errors as they surface. ## Example Request & Response **GET /v1/batches/:batch_id/errors** ```http GET /v1/batches/se-12345/errors HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` **Response** ```json { "error": "Insufficient account balance", "shipment_id": "se-12345", "external_shipment_id": "TestId-1" } ```